Skip to main content
PATCH
Update a campaign

Authorizations

x-api-key
string
header
required

Send your Callin API key in the x-api-key header.

Path Parameters

campaignId
string<uuid>
required

Body

application/json
name
string
agentId
string<uuid>
contacts
object[]
contactIds
string<uuid>[]
active
boolean
scheduled
boolean
startTime
string | null
endTime
string | null
timezone
string | null
followUpCall
boolean
followUpAttempts
integer
followUpIntervals
integer[]

Response

200 - application/json

Campaign updated

success
boolean
Example:

true

data
object
warning
string
requestId
string | null